Skip to main content
GET
列出 Scraper Studio 爬虫
使用 GET /dca/collectors_list 获取您账户中可用的 Bright Data Scraper Studio 爬虫。响应包含爬虫 ID、名称、活动状态、投递配置、最近运行时间,以及可用时的输出模式。
使用该端点发现账户中的爬虫 id 值,然后在触发爬虫时将某个 id 作为 collector 参数传入。

搜索爬虫

使用 search 查询参数,仅返回名称与搜索词匹配的爬虫,例如 ?search=amazon。省略 search 则返回账户中的所有爬虫。

何时使用该端点

  • 在触发批量或实时作业前查找爬虫的 id
  • 构建一个列出账户中所有爬虫的选择器
  • 审计哪些爬虫处于 active 状态以及哪些已运行过(last_run)
  • 读取 output_schema,在解析记录前映射返回的字段

错误

相关

授权

Authorization
string
header
必填

在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。

认证方法:

  1. 从 Bright Data 账户设置获取您的 API Key: https://brightdata.com/cp/setting/users
  2. 在请求的 Authorization 头中包含 API Key
  3. 格式: Authorization: Bearer YOUR_API_KEY

示例:

了解如何获取 Bright Data API Key: https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key?

查询参数

按提供的搜索词筛选爬虫列表。

示例:

"amazon"

响应

200 - application/json

Scraper Studio 爬虫的分页列表。

total
integer

符合请求条件的爬虫总数。

offset
integer

返回的第一个爬虫的索引(从 0 开始)。

limit
integer

响应中返回的最大爬虫数量。

data
object[]

爬虫对象列表。